Get users for a site

get

/ec-auth-svc/rest/v1.0/authstudies/{studyId}/sites/{siteId}/users

Retrieves all authorized users for a site and given study.

Request

Path Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

User list for the given site in the study.
Body ()
Root Schema : DisplayUserListDto
Type: object
Paginated result set of users for a global role.
Show Source
Nested Schema : users
Type: object
User details including name, username, and email address.
Show Source
Example:
[
    {
        "id":"1BC29B36F5D64B1B95F4BDBBCEA481BE",
        "firstName":"Alice",
        "lastName":"Brown",
        "userName":"alicebrown",
        "emailAddress":"alice.brown@email.com"
    }
]
Examples

400 Response

Bad request. studyId or siteId is missing or not a valid id.
Body ()
Root Schema : AuthResponse
Type: object
Generic API response wrapper containing result, error data, response version and status.
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Result data of the API response; actual type depends on the API
Example:
oracle.doceng.json.BetterJsonNull@1466a41f
Nested Schema : details
Type: object
Back to Top